import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


public class Astronaut extends UFO
{
    // Attribute
    private int alter;
    private String nachname;
    private String vorname;
    private double geldbeutelInhalt = 1000;

    // Konstruktor
    public Astronaut(int alter, String nachname, String vorname)
    {
        this.alter = alter;
        this.nachname = nachname;
        this.vorname = vorname;
    }
    
    // Methoden: 
    
    // **************************************************************//
        // Aufgabe 1
    public void ganzenNamenAusgeben()
    {
        System.out.println("Mein Name ist " + this.alter);
        //  Hupp! Das ist ja das Alter!
        // Ersetzen Sie das Attribut this.alter durch die Methode gibGanzenNamen(), die den ganzen Namen zurückgibt
    }
     public String gibGanzenNamen()
    {
        return this.vorname + " " + this.nachname;
    }
    
    // **************************************************************//
        // Aufgabe 2
    public void geldbeutelInhaltInDollarAusgeben()
    {
        System.out.println("In meinem Geldbeutel sind xyz Dollar.");
        // Ersetzen Sie xyz durch die Methode geldbeutelDollarUmgerechnet(), die den in Dollar umgerechneten Wert zurückgibt
    }
    public double geldbeutelDollarUmgerechnet()
    {
        return geldbeutelInhalt * 1.39;
    }
    
    // **************************************************************//
        // Aufgabe 3
    public void sageAlles()
    {
        System.out.println("Ich bin 22 Jahre alt, in meinem Geldbeutel sind 222 Euro.");
        // Ersetzen Sie 22 und 222 durch die Methoden gibAlter und gibGeldbeutelinhalt()
    }
    public int gibAlter()
    {
        // hier fehlt was ...
    }
    public double gibGeldbeutelinhalt()
    {
        // hier fehlt auch was ...
    }
    
    // **************************************************************//
        // Aufgabe 4
    public void wieAltBinIchIn33Jahren()
    {
        System.out.println("In 33 Jahren bin ich " + this.alterIn33JahrenBerechnen() + " Jahre alt.");
    }
    public int alterIn33JahrenBerechnen()
    {
        // geben Sie this.alter * 33 zurück
    }
    
    
    
    
    

    
    
 
     

}
